<?php

namespace App\Http\Controllers\Api\V1;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class MemberinController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        Log::info($id);
        $dateNow = Carbon::now();

        $data = DB::table('mergetransaksistikerdetail as a')
            ->select('a.*','jm.nama as vehicle')
            ->leftjoin('jenis_mobil as jm','jm.id','=','a.jenis_mobil')
            ->where('nopol', $id)
            ->orderByDesc('tgl_edited')
            ->first();

        $akhir = Carbon::parse($data->akhir);

        if(!$data) {
            return response()->json([
                'status'=>false,
                'message'=>'Member tidak ditemukan'
            ]);
        }

        if($dateNow->greaterThan($akhir)){

                return response()->json([
                    'status' => 'expired',
                    'expired' => true,
                    'message' => 'Member expired',
                    'data' => $data
                ]);
        } else {
            return response()->json([
                'status' => 'active',
                'expired' => false,
                'message' => 'Member aktif',
                'data' => $data
            ]);
        }   


        Log::info(json_encode($data));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
